List repairs of company devices, newest first
const url = 'https://api.fleet.co/platform/v1/repairs?limit=50&offset=0&device_id=12&status=REQUEST_RECEIVED';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.fleet.co/platform/v1/repairs?limit=50&offset=0&device_id=12&status=REQUEST_RECEIVED' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Page size (max 100)
Example
50Number of items to skip
Example
0Filter by device id
Example
12Repair progress. COMPLETED and CANCELLED are closed repairs.
Responses
Section titled “Responses”Paginated repairs
object
Open repair; closed repairs are listed by GET /repairs?device_id=
object
Repair progress. COMPLETED and CANCELLED are closed repairs.
Tracking number of the pickup to the repairer
Tracking number of the return from the repairer
Company device lent during the repair
object
Total items matching filters (before paging)
Page size used for this response
Offset used for this response
Example
{ "data": [ { "status": "REQUEST_RECEIVED" } ], "meta": { "total": 42, "limit": 50, "offset": 0 }}Validation error
object
Every validation failure, comma-separated
Example
{ "message": "Required, must be an ISO 3166-1 alpha-2 country code", "type": "validation_error", "error": "validation_error"}Missing, invalid, or revoked API key
Example
UnauthorizedRate limit exceeded. The RateLimit-* headers give the limit and the reset time.
Example
Too many requests, please try again later.Unexpected server error
object
Example
{ "error": "INTERNAL_ERROR"}Rate limiting is temporarily unavailable; retry with backoff
object
Example generated
{ "message": "example"}
